<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Task 2</title>
    <link rel="stylesheet" href="week9.css">
</head>
<body style="background-color: whitesmoke">
<div id="myprogress">
    <div id="bar"></div>
</div>

<br>
<input type="text" id="progress">
<button type="submit" onclick="move()" id="buttonlol"> Submit </button>



<script>
    function move() {
        var width = 1;
        var element = document.getElementById("bar");
        var finish = document.getElementById("progress").value;
        var id = setInterval(frame, 10);
        function frame() {
            if ( width >= finish ) {
                clearInterval('id');
            }
            else {
                width++;
                element.style.width = width + "%";
                element.innerHTML = width + "%";
            }
        }
    }
</script>


</body>
</html>